Better error messages for boot file mismatch
AbandonedPublic

Authored by austin on Nov 7 2014, 3:40 PM.

Details

Summary

I added a bunch of documentation to the boot-file checker.
This design intersperses the docs in with the active code. My
choice to put them together could be debated, but I think it's
easier to read than having all the docs at the end. Please
fight me on this, if you want, though.

Test Plan

roles/should_fail/T9204

Diff Detail

goldfire updated this revision to Diff 1325.Nov 7 2014, 3:40 PM
goldfire retitled this revision from to Better error messages for boot file mismatch.
goldfire updated this object.
goldfire edited the test plan for this revision. (Show Details)
goldfire added reviewers: simonpj, austin.
goldfire updated the Trac tickets for this revision.
austin accepted this revision.Nov 9 2014, 9:56 AM
austin edited edge metadata.

+1 more informative errors.

sealofapproval

This revision is now accepted and ready to land.Nov 9 2014, 9:56 AM
simonpj accepted this revision.Nov 11 2014, 6:00 AM
simonpj edited edge metadata.
austin commandeered this revision.Jan 12 2015, 5:40 AM
austin abandoned this revision.
austin edited reviewers, added: goldfire; removed: austin.